:start
:back
echo off
color 9
cls
echo You are in a dark room, there is a table with a lamp on it to your left and a  door to your right
echo.
echo -use lamp
echo -open door
set /p MOVE=what do you want to do?
goto %MOVE%

:use lamp
:back3
cls
echo off
color 79
echo the lamp is now on
echo.
echo The room is small and has no windows. on the table you notice some scissors and across the room there is a wardrobe
echo -use scissors
echo -search wardrobe
set /p MOVE1=what do you want to do?
goto %MOVE1%

:open door
echo off
color 84
cls
echo the door is locked.
pause
cls
goto back


:use scissors
call 1/PART1A.bat
pause

:search wardrobe
cls
echo You found a crowbar!
echo -use crowbar
echo -return
set /p MOVE4=what would you like to do?
goto %MOVE4%

:return
echo off
cls
goto back3

:use crowbar
echo off
color 89
cls
echo You pried the door open with the crowbar!
pause
goto continue

:continue
echo off
color 89
cls
echo You are now in the hallway, it is long and dark.
echo -go left
echo -travel right
set /p MOVE3=what would you like to do?
goto %MOVE3%

:go left
:back4
echo off
color 89
cls
echo You go left and find a door to your left, one to your right and one at the end of the hall
echo -left door
echo -right door
echo -end of the hall
echo -go back
set /p MOVE5=where would you like to go?
goto %MOVE5%

:left door
echo off
color 84
cls
echo You are about to open the door, but when you step toward it, it shakes violently and growls. 
echo The floor shakes and the door raddles. You don't dare go near it.
pause
goto 2

:2
echo off
color 89
cls
echo You go left and find a door to your left, one to your right and one at the end of the hall
echo -left
echo -right
echo -end of hall
echo -back
set /p MOVE5=where would you like to go?
if %MOVE5%== left goto die
if %MOVE5%== right goto 3
if %MOVE5%== end goto end of the hall
if %MOVE5%== back goto go back
if not %MOVE5%== left echo invalid input
pause
cls
goto 2

:right door
:3
echo off
color 89
cls
echo The door is locked, but it looks like you can use a key on it, so you go back to the hallway
pause
goto continue

:end of the hall
echo off
color 84
cls
echo "this door is locked"
pause
goto back4

:die
echo off
color 4
cls
echo You dare go near, fear does not effect you! You man up, brace yourself for the worst, and slowly grab the door handle. 
echo As you turn the knob, the door busts open! You are attacked and fall to the ground. *BAM*
pause
goto game over

:go back
echo off
color 84
cls
echo You go back only to find that you are lost. How can this be? you only traveled in a straight line... Then it his you *bam*
pause
goto game over

:travel right
echo off
color 89
cls
echo You find a door to your left and what appears to be a sealed off broken stairwell
echo -search room
echo -look in stairwell
echo -go back
set /p MOVE6=what would you like to do?
goto %MOVE6%

:look in stairwell
echo off
color 84
cls
echo The door to the stairwell is locked, but you can see through the window on the door. The stairwell appears to be destroyed and not usable.
pause
goto travel right

:search room
echo off
color 89
cls
echo You look in the room only to realize it was a torture chamber. There is blood all over the floor and it looks recent. 
echo There is a bucket in the corner."
echo -search bucket
echo -leave
set /p MOVE7=what would you like to do?
goto %MOVE7%

:leave
:back5
echo off
color 84
cls
echo You turn around to leave the room, but the door is shut and locked behind you. The lights go out and then it hits you. *BAM*
pause
goto game over

:search bucket
echo off
color 89
cls
echo You look in the bucket, it is filled with blood and body parts. As you reach in, the body parts start moving. 
echo You decide to just get it over with and search the bucket anyway... You found a key! This may be useful.
pause
goto key

:key
echo off
color 89
cls
echo You go down to the other side of the hallway and decide to try the doors
echo -left door
echo -front door
echo -right door
set /p MOVE8=which door would you like to try?
goto %MOVE8%


:front door
:left door
echo off
color 84
cls
echo The key does not work on this door
pause
goto key

:right door
echo off
color 89
cls
echo You opened the door with the key! The hallway in front of you appears dark and long.
echo -hallway
echo -back
set /p MOVE9=where would you like to go?
if %MOVE9%== hallway goto down hallway
if %MOVE9%== back goto back5

:down hallway
echo off
color 89
cls
echo You travel down the hallway for what feels like hours. It seems like it never ends. You finally come across two rooms. 
echo Both of them have light emitting from them. The one to the left appears to be a bathroom and the one to the right is a bedroom.
echo -save game in bedroom
echo -use bathroom
set /p MOVE10=what would you like to do?
goto %MOVE10%

:save game in bedroom
echo off
color 1A
cls
echo save game key is "save1"
pause
goto use bathroom

:use bathroom
:save1
echo off
color 89
cls
echo You look in the bathroom and find three stalls and two broken sinks.
echo -stall1
echo -stall2
echo -stall3
set /p MOVE11=Which stall would you like to search?
goto %MOVE11%

:stall1
echo off
color 84
cls
echo You open the stall to the left only to find a toilet filled with blood and body parts.
pause
goto save1

:stall2
echo off
color 84
cls
echo You open the stall in the middle and as the door creaks open you spot something dark and scaly slide into the toilet. 
echo You slam the door shut.
pause
goto save1

:stall3
echo off
color 89
cls
echo You open the stall to the right in the corner and you are surprised to see that there is no toilet, but a hole in the wall.
echo It seems like a long and dark hallway.
echo -hallway
echo -leave bathroom
set /p MOVE12=where would you like to go?
goto %MOVE12%

:leave bathroom
echo off
color 84
cls
echo You turn around to leave the bathroom and as you walk toward the door you realize, there is no door! 
echo The sinks turn on and ooze blood rather than water. The lights go out *BAM*
pause
goto game over

:hallway
echo off
color 89
cls
echo You travel down the hallway. It gets darker as it seems endless. Eventually you come across a box of matches on the ground.
echo -matches
echo -continue
set /p MOVE13= what would you like to do?
if %MOVE13%==continue goto continue2
if %MOVE13%==matches goto matches

:continue2
echo off
color 84
cls
echo You keep walking and walking for a very long time. You cant see anything until you run into a wall. 
echo You back up and see a large flash of light
ping 123.45.67.89 -n 1 -w 7000 >nul
echo off
color FE
cls
echo.
echo.
echo.
echo.
echo.
echo.
echo.
ping 123.45.67.89 -n 1 -w 500 >nul
goto game over

:matches
echo off
color 79
cls
echo You continue down the hallway with the matches, lighting one every few seconds because they dont last long at all.
ping 123.45.67.89 -n 1 -w 7000 >nul
echo off
color 89
echo You notice the hallway getting narrower. You notice the walls arent stone, but in fact...
ping 123.45.67.89 -n 1 -w 7000 >nul
echo off
color 84
cls
echo bone
ping 123.45.67.89 -n 1 -w 3000 >nul
:matches2
echo off
color 79
cls
echo You continue down the narrow catacombs, the walls ooze with blood. You travel for a long time only to come across what seems
ping 123.45.67.89 -n 1 -w 2000 >nul
echo off
color 89
ping 123.45.67.89 -n 1 -w 1000 >nul
echo off
color 79
echo like a very dark maze. 'Oh god' you think as you dread the decisions of making a left or a right.
echo -maze
echo -hall
set /p MOVE14=what would you like to do?
goto %MOVE14%

:hall
echo off
color 4
cls
echo You turn around to go back to the bathroom and... *BAM*
pause
goto game over

:cheat
echo off
color 89
cls
START 1\2\3\4\5\CHEAT\maze.png
goto matches2

:maze
echo off
color 89
cls
echo -straight
echo -right
set /p MOVE15=where would you like to go?
goto %MOVE15%

:straight
echo off
color 84
cls
echo "this is a dead end"
pause
goto maze

:right
:4
echo off
color 89
cls
echo You travel down a long hallway
echo.
echo -straight
echo -left
set /p MOVE16=where would you like to go?
if %MOVE16%== straight goto a
if %MOVE16%== left goto b

:a
echo off
color 84
cls
echo "this is a dead end"
pause
goto 4

:b
echo off
color 89
cls
echo You go left
echo -right
echo -straight
set /p MOVE17=where would you like to go?
if %MOVE17%== straight goto c
if %MOVE17%== right goto d

:c
echo off
color 84
cls
echo "this is a dead end"
pause
goto b

:d
echo off
color 89
cls
echo You turn right and go down a hallway to your left and come to a T
echo.
echo -left
echo -right
set /p MOVE18=where would you like to go?
if %MOVE18%== left goto e
if %MOVE18%== right goto E1

	:E1
	echo off
	color 84
	cls
	echo You go right and travel down a long hallway. At the end of the hallway there is a room.
	echo.
	echo -room
	echo -back
	set /p MOVE19=where would you like to go?
	if %MOVE19%== room goto DeadA
	if %MOVE19%== back goto d
		
		:DeadA
		echo off
		color 84
		cls
		echo The room is well lit, lights everywhere. 
		ping 123.45.67.89 -n 1 -w 3000 >nul
		echo off
		color 74
		echo They are hot lights, the heat is almost unbarable.
		ping 123.45.67.89 -n 1 -w 3000 >nul
		echo off
		color F4
		echo You turn around to leave the room, but you can't see the door.
		ping 123.45.67.89 -n 1 -w 3000 >nul
		echo off
		color F6
		echo The lights are too bright, and they're getting brighter...
		ping 123.45.67.89 -n 1 -w 3000 >nul
		echo off
		color FE
		echo The heat is increasing, you scream for help as you slowly cook to death.
		pause
		goto game over
:e
echo off
color 89
cls
echo You go left and end up in a large hallway. There is an open door to your right and a nerrow hall to your left.
echo -left
echo -right
set /p MOVE20=where would you like to go?
if %MOVE20%== left goto deadB
if %MOVE20%== right goto f

	:deadB
	echo off
	color 84
	cls
	echo You travel down a hallway that seems like a spiral. At the end of the spiral, there is just a wall. 
	echo A dead end. You turn around to go back, but there is no back. It's a room now, rather than a hallway. The walls close in." *BAM*
	pause
	goto game over

:f
echo off
color 89
cls
echo You go right and there is another T. It is so dark that you can't see five feet in front of you.
echo -left
echo -right
set /p MOVE21=Where would ou like to go?
if %MOVE21%== left goto H1
if %MOVE21%== right goto h

	:H1
	echo off
	color 84
	cls
	echo "This is a dead end"
	pause
	goto h

:h
echo off
color 84
cls
echo You go right and hug the left wall and now there are two hallways to your right. You cant see down either of them.
echo.
echo -first
echo -second
set /p MOVE22=where would you like to go?
if %MOVE22%== first goto I1
if %MOVE22%== second goto i

	:I1
	echo off
	color 84
	cls
	echo "this is a dead end"
	pause
	goto h
	
:i
echo off
color 89
cls
echo You go to the second hallway and hang a left at the end of the hall. Now you can go left or right, again.
echo.
echo -left
echo -right
set /p MOVE23=where would you like to go?
if %MOVE23%== left goto deathC
if %MOVE23%== right goto j

	:deathC
	echo off
	color 84
	cls
	echo You go into a room with a chest at the back wall. Maybe it has a map in it...
	echo.
	echo -open
	echo -back
	set /p MOVE24=what would you like to do?
	if %MOVE24%== open goto deadC
	if %MOVE24%== back goto i
		:deadC
		echo off
		color 84
		cls
		echo You open it slowly, it creaks with an eerie noise. As you peer into the dark box when suddenly... *woooshhhh* 
		echo A swarm of flying SPIDERS rushes at your face! You scream and try to swat them off your face as they crawl into
		echo your skull through your eye sockets. Devouring your eyes as the move toward your brain... and the worst part...
		ping 123.45.67.89 -n 1 -w 20000 >nul
		cls
		echo You can feel.
		ping 123.45.67.89 -n 1 -w 3000 >nul
		cls
		echo Every.
		ping 123.45.67.89 -n 1 -w 2500 >nul
		cls
		echo Bite.
		ping 123.45.67.89 -n 1 -w 2000 >nul
		goto game over

:j
echo off
color 89
cls
echo You go right and come to a rather large room-like area. To your right is just another dead end. Hopefully going left will
echo not get you killed.
pause
cls
echo You go left until you reach a right turn, but you are not at the end of the hallway yet.
echo.
echo -continue
echo -right
set /p MOVE25=what would you like to do?
if %MOVE25%== continue goto deathD
if %MOVE25%== right goto k

	:deathD
	echo off
	color 84
	cls
	echo You continue down the long tunnel and as you go farther, you see a light at the end.
	ping 123.45.67.89 -n 1 -w 5000 >nul
	color 70
	cls
	echo "Could this be the way out?"
	ping 123.45.67.89 -n 1 -w 5000 >nul
	cls
	echo "Have I escaped?..." 
	ping 123.45.67.89 -n 1 -w 3000 >nul
	color 74
	cls
	echo As you get closer to the light, you realize it just coming from another room.
	ping 123.45.67.89 -n 1 -w 5000 >nul
	color F4
	cls
	echo The light gets brighter as you approach the doorway.
	ping 123.45.67.89 -n 1 -w 5000 >nul
	color FC
	cls
	echo You extend your hand towards the doorknob, the light from withing blinding you through the cracks. 
	echo You twist slowly, creaking the door open and brace yourself for freedom...
	ping 123.45.67.89 -n 1 -w 10000 >nul
	color 08
	cls
	echo.
	echo.
	echo.
	echo.
	echo.
	echo.
	ping 123.45.67.89 -n 1 -w 3000 >nul
	color 08
	cls
	echo You open the door, only to find darkness. Your heart sinks. 
	echo You turn around to leave and possibly find your way out of this hell-hole,
	echo only there's no where to go... *BAM*
	ping 123.45.67.89 -n 1 -w 15000 >nul
	goto game over

:k
echo off
color 89
cls
echo You go right down the hallway. At the end of a very very long and dark hallway, 
echo you can go left or right. Yet again.
echo.
echo -left
echo -right
set /p MOVE26=where would you like to go?
if %MOVE26%== left goto finish
if %MOVE26%== right goto l

	:l
	echo off
	color 84
	cls
	echo "this is a dead end"
	pause
	goto :k
:finish
echo off
color 79
cls
echo You make a U turn to your left and go down another long hallway. This time, at the end there is an actual exit.
echo You go to the only way out. It leads to yet another catacomb thats you proceede to crawl through.
pause
call PART2.bat	

:game over
echo off
color 4
cls
echo			GAME OVER
echo.
echo		you died at: %TIME%
echo		   on: %DATE%
echo.
echo.
pause
call ^\ESCAPE\GAMEDATA\ESCAPE.bat